Class | Fog::Storage::Rackspace::Directories
In: | lib/fog/rackspace/models/storage/directories.rb
Parent: | Fog::Collection

### Methods

all get

### Public Instance methods

all()
get(key, options = {})

Supply the :cdn_cname option to use the Rackspace CDN CNAME functionality on the public_url.

> fog.directories.get(‘video’, :cdn_cname => ‘cdn.lunenburg.org').files.first.public_url

# > ‘cdn.lunenburg.org/hayley-dancing.mov‘

[Validate]